TImageCombiner< Image > Class Template Referenceabstract

`#include <mia/template/combiner.hh>`

Inheritance diagram for TImageCombiner< Image >:
[legend]
Collaboration diagram for TImageCombiner< Image >:
[legend]

## Public Types

typedef Image | plugin_data
| data type for plug-in serachpath component
typedef combiner_type | plugin_type
| plug-in type for plug-in serachpath component
typedef TFilter< typenameImage::Pointer >::result_type | result_type
Public Types inherited from TFilter< Image::Pointer >
typedef Image::Pointer | result_type
| defines the return type of the filter function
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

result_type | combine (const Image &a, const Image &b) const
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Detailed Description

template<typename Image>
class TImageCombiner< Image >

Definition at line 31 of file template/combiner.hh.

## Member Typedef Documentation

## plugin_data

template<typename Image>

typedef Image TImageCombiner< Image >::plugin_data

data type for plug-in serachpath component

Definition at line 36 of file template/combiner.hh.

## plugin_type

template<typename Image>

typedef combiner_type TImageCombiner< Image >::plugin_type

plug-in type for plug-in serachpath component

Definition at line 38 of file template/combiner.hh.

## result_type

template<typename Image>

typedef TFilter<typenameImage::Pointer>::result_type TImageCombiner< Image >::result_type

Definition at line 40 of file template/combiner.hh.

## Member Function Documentation

## combine()

template<typename Image>

result_type TImageCombiner< Image >::combine | ( | const Image & | a,
|  | const Image & | b ) const

Combine two images by a given operator

Parameters

  a |
  b |

Returns
  combined image

The documentation for this class was generated from the following file:

- template/combiner.hh